Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleJarFile

    java.lang.Object
      com.ibm.able.editor.AbleJarFile

public class AbleJarFile
extends java.lang.Object

Title: Description: Copyright: Copyright (c) 2001 Company:

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `remove(java.lang.String jarName, java.lang.String name)`
`static boolean` | `renameReplace(java.lang.String tempfile, java.lang.String Filename)`
`static void` | `update(java.lang.String existingJarName, java.lang.String newEntryPath, java.lang.String newEntryName)` The newEntryPath, if provided, is not included in the jar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

### update

    public static void update(java.lang.String existingJarName,
                              java.lang.String newEntryPath,
                              java.lang.String newEntryName)
                       throws java.io.IOException

  The newEntryPath, if provided, is not included in the jar. Any path information provided in the newEntryName string is included in the jar.

  Throws:
    `java.io.IOException`

### remove

    public static void remove(java.lang.String jarName,
                              java.lang.String name)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### renameReplace

    public static boolean renameReplace(java.lang.String tempfile,
                                        java.lang.String Filename)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005